Opened 3 years ago

Closed 2 years ago

Last modified 23 months ago

#1953 closed Task (fixed)

HPC-06(2017WP) XIOS restart read functionality

Reported by: andmirek Owned by: andmirek
Priority: high Milestone: 2018 release-4.0
Component: OCE Version: trunk
Severity: minor Keywords: XIOS read/write
Cc: Review: failed
MP ready?: no
Progress: In the trunk. Currently tested in MO GO8 (eORCA25) configuration.

Description

Context


Add xios restart read functionality

Analysis


XIOS offers read functionality, which can be used to read restart file (only single file restart). The development was first implemented in version 3.6 to test performance of the interface in the Met Office? GO6 configuration. See ticket https://forge.ipsl.jussieu.fr/nemo/ticket/1881

Commit History (28)

ChangesetAuthorTimeChangeLog
9984andmirek2018-07-20T15:46:02+02:00

#1953 fix issues with domain definition for restart read with XIOS

9536andmirek2018-05-01T13:37:48+02:00

#1953 and #1962 stop immediately if XIOS restart read/write functionality is used without key_iomput

9535andmirek2018-05-01T13:22:33+02:00

#1953 and #1962 disable XIOS related calls when key_iomput is not set

9405andmirek2018-03-15T17:29:06+01:00

#1953 and #1962: Initialize lwxios and ln_xios_read

9367mathiot2018-02-28T17:23:20+01:00

Add restart read/write via XIOS capability (#1953 and #1962 and twiki: 2017WP/Met_Office-1_Mirek_XIOSread). WARNING: need to upgrade XIOS to r1296 to compile

8990andmirek2017-12-12T15:56:38+01:00

#1953 and #1962: fix ORCA2_OFF_PISCES test

8858andmirek2017-11-30T15:50:38+01:00

#1953 and #1962 tidy up prints for previous commit

8857andmirek2017-11-30T15:24:15+01:00

#1953 and #1962 handle together setting XIOS restart read and write flags

8836andmirek2017-11-28T15:45:20+01:00

#1953 and #1962 Techinal corrections

8821andmirek2017-11-27T14:46:12+01:00

#1953 and #1962 disable restart reading with XIOS for SAS

8816andmirek2017-11-27T12:01:56+01:00

#1953 and #1962 XIOS read/write in SAS

8812andmirek2017-11-24T17:34:50+01:00

#1953 and #1962 enable restart read/write with XIOS in SAS

8802andmirek2017-11-23T17:48:06+01:00

#1953 and #1962 lrxios in SAS

8801andmirek2017-11-23T16:52:17+01:00

#1953 and #1962 merge dev_r8600_xios_read_write r8793

8800andmirek2017-11-23T16:48:37+01:00

#1953 and #1962 merged dev_r8600_xios_read beanch r8668

8799andmirek2017-11-23T16:45:20+01:00

#1953 and #1962 version 2 of merged XIOS read/write branch

8793andmirek2017-11-23T13:02:23+01:00

#1953 and #1962 change lxios_read to lrxios to be consistent with write branch

8792andmirek2017-11-23T12:29:39+01:00

#1953 and #1962 rename rst_fields to rst_rfields

8786andmirek2017-11-22T14:39:57+01:00

#1953 and #1962 remove print statement

8785andmirek2017-11-22T13:34:53+01:00

#1953 and #1962 change in subroutine name and way temperature first level is read

8774andmirek2017-11-21T17:54:04+01:00

#1953 and #1962 remove duplicated set_rst_context

8770andmirek2017-11-21T17:21:22+01:00

#1953 and #1962 merged (and some modifications) with write branch

8759andmirek2017-11-21T09:57:42+01:00

#1953 and #1962 XIOS read/write branch

8668andmirek2017-10-30T12:44:29+01:00

#1953 change variable names to follow NEMO coding convention

8614andmirek2017-10-11T13:34:46+02:00

#1953 typo and AGRIF related print

8613andmirek2017-10-11T13:17:14+02:00

#1953 upadte namelist_ref with variable enabling reading using XIOS

8612andmirek2017-10-11T13:03:17+02:00

#1953 read single file restart with XIOS

8602andmirek2017-10-09T12:11:30+02:00

ticket #1953 - XIOS restart read fuctionality

Change History (23)

comment:1 Changed 3 years ago by andmirek

  • Owner set to andmirek
  • Status changed from new to assigned

comment:2 Changed 3 years ago by andmirek

branch dev_r8600_xios_read created in branches/2017 https://forge.ipsl.jussieu.fr/nemo/browser/branches/2017/dev_r8600_xios_read. SETTE tests were run for configuration 15. Reading with XIOS works for core variables (unit numror) including AGRIF. For restart solver.stat are identical for run restarted using XIOS and run using default NEMO read functionality (rev 8613).

comment:3 Changed 3 years ago by andmirek

Now at version 8621. Commit 8620 was made by mistake. It was related to a different ticket. Revisions 8621 and 8614 are identical.

comment:4 Changed 3 years ago by andmirek

To enable XIOS restart read functionality ln_xios_read must be set to .TRUE in namelist namrun. XIOS read functionality works only for a single file restart. The check is made to make sure the restart file is in single file before corresponding flag is set.

For AGRIF configuration setting for AGRIF is ignored and NEMO value is used.

comment:5 Changed 3 years ago by clevy

  • Type changed from Enhancement to Task

comment:6 Changed 3 years ago by andmirek

Results from tests performed to evaluate XIOS read functionality for Met Office GO6 configuration, for 2 model resolutions: eORCA25 and eORCA12. NEMO 3.6 was used for tests. Runs were for 1 day.

NEMO - default NEMO functionality for reading single file restart
XIOS - XIOS read interface for reading single file restart
NEMO-MUL - default nemo functionality for reading multiple files restart (for ORCA25 only)

Results: eORCA12:

Execution time [s]

Execution time [s]

CPU (decomposition)

XIOS (36 servers)

NEMO

1602 (50x50)

1156

1119

2262 (60x60)

1186

1066

3027 (70x70)

Failure in the solver

1062

Results eORCA25:

Execution time [s]

Execution time [s]

Execution time [s]

CPU (decomposition)

XIOS (6/12 servers)

NEMO

NEMO-MUL

120 (10x12)

710/601

560

510

440 (20x24)

251/276

246

164

1440 (40x36)

280/215

173

97

comment:7 Changed 3 years ago by andmirek

  • Severity major deleted

One comment about reading. The restart file must have, in addition to the data, also metadata. For NEMO it is nav_lon, nav_lat, nav_lev. This is XIOS requirements and restart read with XIOS will fail when this data is not present. AMM12 SETTE is an example where restart doesn't have metadata and an attempt to read the restart with XIOS fails. Note that restart files produced by NEMO have nav_lon, nav_lat, z dimension has been changed to nav_lev in this branch.

Last edited 2 years ago by andmirek (previous) (diff)

comment:8 Changed 3 years ago by andmirek

  • workplan_status set to unknown

For some reason XIOS restart read functionality doesn't work for SAS configuration. XIOS reports inconsistency in the size of the data requested and the size of the array. Reason is unknown. Based on the definitions all dimensions should be consistent. I have disabled SAS and XIOS read in commit 8821 for combined branch XIOS read/write dev_r8600_xios_read_write_v2.

comment:9 Changed 2 years ago by nemo

  • Keywords read/write added; read removed

comment:10 Changed 2 years ago by andmirek

In 8990:

#1953 and #1962: fix ORCA2_OFF_PISCES test

comment:11 Changed 2 years ago by mathiot

  • Milestone changed from 2017 WP to 2018 release-4.0

comment:12 Changed 2 years ago by nicolasmartin

  • Summary changed from XIOS restart read functionality to Met_Office-1(2017WP) XIOS restart read functionality

Modification of summary for standardisation

comment:13 Changed 2 years ago by clevy

  • Summary changed from Met_Office-1(2017WP) XIOS restart read functionality to HPC-6(2017WP) XIOS restart read functionality

comment:14 Changed 2 years ago by clevy

  • Summary changed from HPC-6(2017WP) XIOS restart read functionality to HPC-06(2017WP) XIOS restart read functionality

comment:15 Changed 2 years ago by mathiot

In 9367:

Add restart read/write via XIOS capability (#1953 and #1962 and twiki: 2017WP/Met_Office-1_Mirek_XIOSread). WARNING: need to upgrade XIOS to r1296 to compile

comment:16 Changed 2 years ago by mathiot

  • Resolution set to fixed
  • Status changed from assigned to closed

comment:17 Changed 2 years ago by andmirek

In 9405:

#1953 and #1962: Initialize lwxios and ln_xios_read

comment:18 Changed 2 years ago by andmirek

In 9535:

#1953 and #1962 disable XIOS related calls when key_iomput is not set

comment:19 Changed 2 years ago by andmirek

In 9536:

#1953 and #1962 stop immediately if XIOS restart read/write functionality is used without key_iomput

comment:20 Changed 2 years ago by andmirek

In the trunk. Currently tested in MO GO8 (eORCA25) configuration.

comment:21 Changed 2 years ago by andmirek

  • Progress modified (diff)

comment:22 Changed 23 months ago by andmirek

In 9984:

#1953 fix issues with domain definition for restart read with XIOS

comment:23 Changed 23 months ago by andmirek

Issues with domain definition for restart read resolved in revision 9984. For restart read/write with XIOS revision 1563 of XIOS is needed.

Note: See TracTickets for help on using tickets.